<?php
if($apo->loged){
	import("com.neolao.system.FolderUtils");
	
	$ok = $apo->db->select($apo->dbPrefix."users_preferences", "*", "userId=".$apo->userId);
	if($ok){
		$userPreferences = $apo->db->fetch_array();
	}else{
		$apo->db->insert($apo->dbPrefix."users_preferences", "userId", $apo->userId);
		$apo->db->select($apo->dbPrefix."users_preferences", "*", "userId=".$apo->userId);
		$userPreferences = $apo->db->fetch_array();
	}	
	
	// Récupération des thèmes installés
	$noTheme = array(".", "..");
	$folderList = FolderUtils::listing($apo->serverRoot."/themes");
	$themeList = array();
	for($i=0; $i<count($folderList); $i++){
		if(!in_array($folderList[$i]["name"], $noTheme)){
			$description = @simplexml_load_file($apo->serverRoot."/themes/".$folderList[$i]["name"]."/description.xml");
			if($description !== false){
				$o = array();
				foreach($description->attributes() as $a => $b) {
					$o[$a] = (string) $b;
				}
				$o["author"] = (string) $description->author;
				$o["label"] = (string) $description->label;
				$o["description"] = (string) $description->description;
				$o["folder"] = $folderList[$i]["name"];
				$themeList[] = $o;
			}
		}
	}
	
	// Génération HTML du select des thèmes
	$themeSelect = "";
	$themeSelect .= "<option value=\"\"";
	if($apo->userPreferences["theme"] == ""){
		$themeSelect .= " selected=\"selected\"";
	}
	$themeSelect .= ">".$apo->getText("preferences_theme_default")."</option>";
	for($i=0; $i<count($themeList); $i++){
		$themeSelect .= "<option value=\"".$themeList[$i]["folder"]."\"";
		if($themeList[$i]["folder"] == $apo->userPreferences["theme"]){
			$themeSelect .= " selected=\"selected\"";
		}
		$themeSelect .= ">".$themeList[$i]["label"]."</option>";
	}
}
?>